# -*- coding: utf-8 -*-
from admin_tools.dashboard import modules
from django.utils.translation import gettext_lazy as _


class DefaultDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            "title": _("mfa"),
            "display": "tabs",
            "children": [MFAModels()]
        })
        super().__init__(**kwargs)


class MainDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            "title": _("MFA"),
            "display": "tabs",
            "children": [MFAModels()]
        })
        super().__init__(**kwargs)


class MFAModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            "title": _("Trench"),
            "models": (
                "trench.models.MFAMethod",
            ),
        })
        super().__init__(**kwargs)
