# -*- coding: utf-8 -*-
from django.apps import AppConfig
from django.utils.translation import gettext_lazy as _


class MFAConfig(AppConfig):
    name = "thx.mfa"
    label = "mfa"
    verbose_name = _("MFA")

    def ready(self):
        from .monkey_patch import monkey_patch_deactivate_mfa_method_command, monkey_patch_views
        monkey_patch_deactivate_mfa_method_command()
        monkey_patch_views()
